%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function: HC2RCEDUMDAparameters
%
% Authors: Ansel Y. Rodrguez Gonzlez 1,2 (Team Leader) 
%          Samantha Barajas            1,3
%          Ramn Aranda                1,2
%          Yoan Martnez Lpez         4
%          Julio Madera                4
%
% 1 Unidad de Transferencia Tecnolgica Tepic del Centro de Investigacin 
%   Cientfica y de Educacin Superior de Ensenada, Mxico
%
% 2 Consejo Nacional de Ciencia y Tecnologa, Mxico 
%
% 3 Universidad Autnoma de Nayarit, Mxico
%
% 4 Universidad de Camagey, Cuba
%
% Modified by AYRG \CICESE 13/06/2021


if (Select_testbed==1)
    
hc2RCEDUMDAparameters.I_maxFits       = 3500;              
hc2RCEDUMDAparameters.I_repeatEvals   = 2;                 

hc2RCEDUMDAparameters.maxEvals  = 10000; 

hc2RCEDUMDAparameters.I_initHC_itermax          =    1;  
hc2RCEDUMDAparameters.I_initHC_ratioFactor      = 0.10;  
hc2RCEDUMDAparameters.I_finalHC_ratioFactor     = 0.05;      
                                      
hc2RCEDUMDAparameters.I_NP      =                   90;     
hc2RCEDUMDAparameters.I_itermax =                  111;  

hc2RCEDUMDAparameters.I_indByCell =                  2;     
hc2RCEDUMDAparameters.I_StructureWidth   =          45;     
hc2RCEDUMDAparameters.I_StructureHeight  =           1;     
hc2RCEDUMDAparameters.I_NeighborhoodType  =          1;     
hc2RCEDUMDAparameters.I_NeighborhoodParam =         16;     
           
hc2RCEDUMDAparameters.I_SelectionMethod   =          1;     
hc2RCEDUMDAparameters.I_Selected          =         30;     

hc2RCEDUMDAparameters.I_elitismParam      =         30;      

hc2RCEDUMDAparameters.I_CodeSize          =          7;    

hc2RCEDUMDAparameters.I_EstimationParamsMethod =     0;     
hc2RCEDUMDAparameters.I_EstimationParamsParam  =     0;     

hc2RCEDUMDAparameters.I_EstimationStructureMethod =  0;     
hc2RCEDUMDAparameters.I_EstimationStructureParam  =  0;       

hc2RCEDUMDAparameters.I_ScalerMethod      =          2;    
hc2RCEDUMDAparameters.I_ScalerParam       =         0.009; 


hc2RCEDUMDAparameters.I_SamplingMethod =             0;       
hc2RCEDUMDAparameters.I_SamplingParam  =             0;         
    
% result                                            1.5443

end
if (Select_testbed==2)
  
hc2RCEDUMDAparameters.I_maxFits       = 13300;             
hc2RCEDUMDAparameters.I_repeatEvals   = 2;                   
    
hc2RCEDUMDAparameters.maxEvals  = 100000; 

hc2RCEDUMDAparameters.I_initHC_itermax      = 600;
hc2RCEDUMDAparameters.I_initHC_ratioFactor  = 0.01;
hc2RCEDUMDAparameters.I_finalHC_ratioFactor = 0.05; 

                                                                                                                                           
hc2RCEDUMDAparameters.I_NP      =                 600;    
hc2RCEDUMDAparameters.I_itermax =                 175;     

hc2RCEDUMDAparameters.I_indByCell =                15;       
hc2RCEDUMDAparameters.I_StructureWidth   =         40;             
hc2RCEDUMDAparameters.I_StructureHeight  =          1;        
hc2RCEDUMDAparameters.I_NeighborhoodType  =         1;      
hc2RCEDUMDAparameters.I_NeighborhoodParam =         7;   

hc2RCEDUMDAparameters.I_SelectionMethod   =         1;    
hc2RCEDUMDAparameters.I_Selected          =        90;     
hc2RCEDUMDAparameters.I_elitismParam      =        90;     

hc2RCEDUMDAparameters.I_CodeSize          =        31;     

hc2RCEDUMDAparameters.I_EstimationParamsMethod =    0;     
hc2RCEDUMDAparameters.I_EstimationParamsParam  =    0;     

hc2RCEDUMDAparameters.I_EstimationStructureMethod = 0;     
hc2RCEDUMDAparameters.I_EstimationStructureParam  = 0;     

hc2RCEDUMDAparameters.I_ScalerMethod      =         2;     
hc2RCEDUMDAparameters.I_ScalerParam       =         0.009; 

hc2RCEDUMDAparameters.I_SamplingMethod =            0;     
hc2RCEDUMDAparameters.I_SamplingParam  =            0;     

% result                                           3.4932

end
                                                      
                                                      
                                                      
dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_NP,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_NP,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_itermax,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_itermax,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_indByCell,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_indByCell,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_StructureWidth,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_StructureWidth,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_StructureHeight,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_StructureHeight,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_NeighborhoodType,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_NeighborhoodType,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_NeighborhoodParam,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_NeighborhoodParam,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_SelectionMethod,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_SelectionMethod,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_Selected,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_Selected,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_elitismParam,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_elitismParam,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_CodeSize ,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_CodeSize ,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_EstimationParamsMethod,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_EstimationParamsMethod,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_EstimationParamsParam,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_EstimationParamsParam,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_EstimationStructureMethod,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_EstimationStructureMethod,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_EstimationStructureMethod,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_EstimationStructureMethod,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_EstimationStructureParam,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_EstimationStructureParam,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_ScalerMethod,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_ScalerMethod,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_ScalerParam,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_ScalerParam,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_SamplingMethod,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_SamplingMethod,'-append');

dlmwrite('rf.txt',hc2RCEDUMDAparameters.I_SamplingParam,'-append');
dlmwrite('rv.txt',hc2RCEDUMDAparameters.I_SamplingParam,'-append');
